public class OddsAndEvensMethods extends OddsAndEvens {



    public OddsAndEvensMethods(int odds, int evens) {

        super(odds,evens);
    }

    public int getOddNums(int[] arr){

        //ArrayList<Integer> containerInt = new ArrayList<Integer>();
        int counter = 0;
        for (int i = 0; i < arr.length; i++) {

            if(arr[i] % 2 != 0){
                counter ++;

            }

        }
        return this.odds = counter;
    }
    public int getEvensNums(int[] arr){

        //ArrayList<Integer> containerInt = new ArrayList<Integer>();
        int counter = 0;
        for (int i = 0; i < arr.length; i++) {

            if(arr[i] != 0) {

                if (arr[i] % 2 == 0) {
                    counter++;

                }
            }

        }
        return this.evens = counter;
    }
}
